/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoPuntoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoPuntoVenta tipoPuntoVenta = (TipoPuntoVenta) o;

        Listcell lc = new Listcell(tipoPuntoVenta.getTipoptovtaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoPuntoVenta.getDesctipo());
        lc.setParent(lstm);

        
        if (ApplicationProperties.getInstance().mostrarEquivalencia()) {
            lc = new Listcell(tipoPuntoVenta.getEquivalenciaId());
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", tipoPuntoVenta);
    }
}
